cryptol-2.2.6: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2015 Galois, Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.TypeCheck.Kind

Description

Synopsis

- checkType :: Type -> Maybe Kind -> InferM Type
- checkSchema :: Schema -> InferM (Schema, [Goal])
- checkNewtype :: Newtype -> InferM Newtype
- checkTySyn :: TySyn -> InferM TySyn

# Documentation

checkType :: Type -> Maybe Kind -> InferM Type Source

checkSchema :: Schema -> InferM (Schema, [Goal]) Source

Check a type signature.

checkNewtype :: Newtype -> InferM Newtype Source

Check a newtype declaration. XXX: Do something with constraints.

checkTySyn :: TySyn -> InferM TySyn Source

Check a type-synonym declaration.